// glob.h
// my globbing fn
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#ifndef __GLOB_H
#define __GLOB_H

#include "typ.h"        // bool

bool glob(char const *str, char const *pattern);
  // returns true if 'str' matches 'pattern'
  // codes in 'pattern':
  //   *       matches any number (>=0) of any character
  //   ?       matches any character
  //   \*      matches literal *
  //   \?      matches literal ?
  //   \\      matches literal \ (backslash)

// unimplemented, but possibly useful:
//   [] expressions


#endif // __GLOB_H

