// testcomm.h
// some common code for testing modules
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#ifndef __TESTCOMM_H
#define __TESTCOMM_H

#error obsolete; use test.h instead

#define PVAL(val) cout << #val << " = " << (val) << endl

#include "minwin.h"    // GetTickCount
#include <iostream.h>  // cout

class TimedSection {
  char const *name;
  long start;

public:
  TimedSection(char const *n) : name(n) {
    start = GetTickCount();
  }
  ~TimedSection() {
    cout << name << ": " << (GetTickCount() - start) << " msecs\n";
  }
};

#endif // __TESTCOMM_H

