//  $Archive:: /STP/WInetd/winetd.h                                       $
//     $Date: 2000/08/26 05:01:35 $
// $Revision: 1.1 $
// Description: IPC interface library between Winetd and the service application
// Copyright 2000, Dan Bonachea

#include <winsock2.h>
#include <windows.h>

#define MAX_ARGS 50
#define INETD_CMD_STR "WINETD="


SOCKET InitInetd(LPSTR argvOne);
	// called by application on startup to get the accepted socket from winetd
  // should be called AFTER WSAStartup, but BEFORE any command-line processing occurs
  // argvOne should be argv[1], which the application should subsequentally ignore if the function succeeds
  // returns the connected socket, or INVALID_SOCKET if program was not started by winetd


bool LaunchApp(SOCKET cs, const char *cmdline);
  // should be called with a dedicated thread to launch the application 
  // and perform socket hand-off 
  // returns true/false for success/failure


