// filesrc.cc
// code for filesrc.h
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#include "filesrc.h"     // this module
#include "syserr.h"      // xSysError

int FileInputSource::read(char *buffer, int buflen)
{
  int len = fread(buffer, 1, buflen, file);
  if (len < 0) {
    xsyserror("fread");
  }
  return len;
}


void FileOutputDest::write(char const *buffer, int len)
{
  int written = fwrite(buffer, 1, len, file);
  if (written != len) {
    xsyserror("fwrite");
  }
}

