// hcl.h
// hook for HCL inetd operation
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#ifndef __HCL_H
#define __HCL_H

#include "socketd.h"    // SOCKET

SOCKET inetdStartupHookHCL(int &argc, char **&argv);
  // pass argc, argv
  // get back valid socket if hcl inetd available, otherwise
  //   argc and argv will be modified to hide the hcl parameters
  // throws xsyserror on error

SOCKET inetdStartupHookWinetd(int &argc, char **&argv);
  // pass argc, argv
  // get back valid socket if hcl inetd available, otherwise
  //   argc and argv will be modified to hide the hcl parameters
  // throws xsyserror on error

#endif // __HCL_H

