// sftpver.cpp
// code for sftpver.h, and version documentation
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#include "sftpver.h"     // this module


char const SFTP_version[] = "1.50";
  /*
     version date     description
     ------- -------- -------------------------------------
      1.50    6/25/02 support for gcc-3.1
                      fix for clock() DOS
                      handle broken /dev/random better
                      more system/compiler checks at ./configure time
                      moved default key location to /var/tmp/$USER (was /tmp/$USER)
                      sftpc: -9 implies -c now
                      many other small enhancements
      1.46   11/22/00 added support for client-side firewall friendliness
      1.45    9/15/00 added -c switch (forced data encryption)
                      bugfix: data-channel socket leak/close problem
                      support for FreeBSD 4.1
                      bind restricted set of ports
                      PASV reply now uses -i address, if specified
                      bugfix: -f<addr> didn't work
      1.44    8/26/00 added support for integrity-only
      1.43    8/25/00 using autoconf for build
                      made install script interactive
      1.42    8/01/00 merging in a variety of patches
      1.41   11/18/99 ohio-state.edu firewall fix
      1.40   11/11/99 ability to share port w/Kerberos using exec(kftpd)
                      checks for keys on startup (as development convenience)
                      uses /dev/random when possible
                      few other usability tweaks in sftpc
      1.30    10/3/99 unified version number across sftpd,sftpc,addent,makekeys,viewkey
                      forced 16-bit "word", added overrun checks to SecBlock
                      abandoned Wei Dai's Integer altogether;
                      now using GNU Multi-Precision (GMP) library



   sftpc version numbers prior to unification
     version start    finish   description
     ------- -------- -------- -------------------------------------
      1.00      ?        ?     first version
      1.01      ?      4/16/99 tweaking a little, additional '.' login stuff
      1.02      ?       6/5/99 added '-n' argument
      1.03      ?       6/7/99 added ascii-mode transfers
      1.04      ?       6/8/99 improved internal testing, removed need for tfile{1,2,3}
      1.10     6/9/99  6/20/99 "ftp"-like command syntax, intead of raw protocol commands
      1.11    7/11/99  7/11/99 user config info on local disk only (as possible)
      1.20    8/26/99          default user config, auto key gen, usability improvements,
                                 -9 fix, \n fix, "test" fix, !, 0-arg (l)cd,
                                 aliases, ls LIST, prot, mdelete, hash,
                        9/2/99   server key database
      1.21    9/29/99          added code to automatically test w/o data encryption
                       9/29/99   fixed encryption on->off->on bufsize bug


   sftpd version numbers prior to unification
     1.00 - first, plus some other stuff :)
     1.01 - added the 'stdoutLogAnyway' switch
     1.02 - HCL inetd functionality
     1.03 - modified 959 dropdown messages
     1.04 - fixed the mkdir(DSA) problem in makekeys
     1.05 - added a try-catch so failing to connect to ftpd yields
            error message in protocol stream
     1.06 - added force data relay option
     1.07 - recvAllBlock, ignore SIGPIPE, implemented RC_PBSZ_TOO_SMALL,
            RandomSeedSaver improvement
            (chose not to auto-detect 3rd-party problem, because it
            would mean adding more complexity than it deserves)
     1.08 - nonportFail -> xSysError::xsyserror
     1.09 - sftpc 1.20 changes, which hopefully didn't affect sftpd functionality
     1.10 - implemented automatic switch to indirect data mode
     1.11 - fixed a serious bug in the auto-indirect code, that caused
            connections to hang
  */

