// socksrc.h
// StreamInputSource subclass for SOCKETs
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#ifndef __SOCKSRC_H
#define __SOCKSRC_H

#include "inputsrc.h"     // StreamInputSource
#include "socketd.h"      // SOCKET

// simple wrapper on a socket with a standard interface
class SocketInputSource : public StreamInputSource {
public:      // data
  SOCKET socket;     // the source socket

public:      // funcs
  SocketInputSource(SOCKET s) : socket(s) {}

  virtual int read(char *buffer, int buflen);
  virtual bool poll();
};

#endif // __SOCKSRC_H

